import { useState, useCallback } from 'react';
export default function useBoolean(initialValue) {
    const [value, setValue] = useState(initialValue);
    const toggle = useCallback((nextValue) => {
        if (typeof nextValue === 'boolean') {
            setValue(nextValue);
        }
        else {
            setValue(currentValue => !currentValue);
        }
    }, []);
    return [value, toggle];
}
